/**************************************************************
 * astromail.h               Copyright (C) Damian Walker 1997 *
 *------------------------------------------------------------*
 * AstroMail 1.00 - main header file                          *
 *------------------------------------------------------------*
 * Author   Damian G Walker                                   *
 * Date     24-Mar-97                                         *
 **************************************************************/


#ifndef _ASTROMAIL_H_
#define _ASTROMAIL_H_


#include "astrowar.h"


/* enumerated types *******************************************/


/* MsgLib message attributes */
#define A_CRA 0x001 /* crash */
#define A_ATT 0x002 /* attach (file) */
#define A_HLD 0x004 /* hold */
#define A_FRQ 0x008 /* file request */
#define A_UPD 0x010 /* file update request */
#define A_KIL 0x020 /* kill */
#define A_PVT 0x040 /* private */
#define A_LOC 0x080 /* local */
#define A_DIR 0x100 /* direct */
#define A_ERA 0x200 /* erase file when sent */
#define A_RCV 0x400 /* received */
#define A_SNT 0x800 /* sent */


/* structures *************************************************/


#ifndef _MSGLIB_H_


/* Fidonet address */
typedef struct {
    int zone,  /* zone number */
        net,   /* net number */
        node,  /* node number */
        point; /* point number */
} fido;


#endif /* _MSGLIB_H_ */


#endif /* _ASTROMAIL_H_ */
